
import React from "react"

/**
 * The AccessButtonGroup component provides quick access to the plot
 *
 * The AccessButtonGroup renders as a Bootstrap button group with different
 * access methods, e.g., direct download as an image or as json, API access
 * snippets or command-line tool shippets. The component is reactive and
 * reduces to a burger menu on small screens.
 */
const AccessButtonGroup = ({uuid, collection_id}) => (
<div className="ml-auto btn-group btn-group-sm access-menu">
	<div className="btn-group btn-group-sm dropdown">
		<button className="btn btn-secondary dropdown-toggle" type="button" data-toggle="dropdown">
			Direct download
		</button>
		<div className="dropdown-menu dropdown-menu-right p-4 shadow">

		</div>
	</div>

	<div className="btn-group btn-group-sm dropdown">
		<button className="btn btn-primary dropdown-toggle" type="button" data-toggle="dropdown">
			API Access
		</button>
		<div className="dropdown-menu dropdown-menu-right p-4 shadow">

		</div>
	</div>

	<div className="btn-group btn-group-sm dropdown">
		<button className="btn btn-secondary dropdown-toggle" type="button" data-toggle="dropdown">
			CLI tool
		</button>
		<div className="dropdown-menu dropdown-menu-right p-4 shadow">

		</div>
  </div>
</div>
)

export default AccessButtonGroup
