
import React from "react"

/**
 * Render a condensed version of the breadcumbs for the dasboard page.
 * 
 * The content property has to be a list of (display text, url) pairs.
 */
const Breadcrumbs = ({content}) => (
    <nav aria-label="breadcrumb" className="d-none d-lg-block small">
      <ol className="breadcrumb my-2 bg-white p-0">
        { content.map(([text, url], i) =>
            <li key={i} className="breadcrumb-item"><a href={url}>{text}</a></li>
        )}
      </ol>
    </nav>
)

export default Breadcrumbs
